apply plugin: 'com.android.application'
//apply plugin: 'io.fabric'
apply plugin: 'com.google.gms.google-services'
apply plugin: 'com.google.firebase.crashlytics'
apply plugin: 'org.jetbrains.kotlin.android'
android {
    compileSdk(34)
    useLibrary 'org.apache.http.legacy'
    namespace "cpm.com.gskmtorange"
    lintOptions {
        checkReleaseBuilds false
        disable 'MissingTranslation'
        abortOnError false
    }

    configurations {
       // all*.exclude module: 'okio'
       // all*.exclude group: 'com.squareup.okhttp3', module: 'okhttp'
        all*.exclude module: 'support-v4' // This removes all other versions of `support-v4` if gets duplicated from all the artifacts.
    }

    defaultConfig {
        applicationId "cpm.com.gskmtorange"
        minSdkVersion 24
        targetSdk(34)

       // For Lebanon
        /*versionCode 1
        versionName "1.0"*/

        //For Egypt
        /*versionCode 35
        versionName "4.6"*/

        //For UAE
        /*versionCode 29
        versionName "4.1"*/

        //For Turkey
       /* versionCode 34
        versionName "4.6"*/

        //For Turkey
         /*versionCode 32
         versionName "4.4"*/

        //For KSA
        /*versionCode 28
        versionName "4.0"*/

      //  aading price facing
       /* versionCode 27
        versionName "3.8"*/

        //sa
       /* versionCode 28
        versionName "3.9"*/

        //Kenya
        versionCode 2
        versionName "1.1"

        //kenya-lite
       /* versionCode 2
        versionName "1.1"*/

        //nigeria
         /*versionCode 1
         versionName "1.0"*/

        //For jordan
         /* versionCode 7
          versionName "1.6"*/

        //For Kuwait
          /*versionCode 1
          versionName "1.0"*/

        //For Bahrain
        /*versionCode 1
        versionName "1.0"*/

         //For QATAR
        /*versionCode 1
        versionName "1.0"*/

        //For Libya
        /*versionCode 3
        versionName "1.2"*/

        //For Oman
        /*versionCode 1
        versionName "1.0"*/

        multiDexEnabled true
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    firebaseCrashlytics {
        nativeSymbolUploadEnabled true
    }

    buildFeatures {
        viewBinding = true
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation files('libs/ksoap2-android-assembly-3.0.0-jar-with-dependencies.jar')
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.google.android.material:material:1.2.1'
    implementation project(path: ':library')
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'com.google.firebase:firebase-auth:20.0.3'
    implementation 'androidx.activity:activity:1.9.3'
    testImplementation 'junit:junit:4.13.1'
    implementation 'android.arch.navigation:navigation-fragment:1.0.0'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    implementation 'com.google.code.gson:gson:2.10.1'
    implementation 'com.github.bumptech.glide:glide:4.15.1'
    //implementation 'com.google.code.ksoap2-android:ksoap2-android:3.6.2'
   // implementation 'com.github.leocadiotine:ksoap2-android:3.6.2'

    implementation platform('com.google.firebase:firebase-bom:26.7.0')
   // implementation 'com.google.firebase:firebase-analytics'
    implementation 'com.google.firebase:firebase-crashlytics-ndk'
    implementation 'com.google.firebase:firebase-messaging'

    implementation 'com.google.android.gms:play-services-location:17.1.0'
    implementation 'com.google.android.gms:play-services-maps:17.0.0'
    //implementation 'com.kyanogen.signatureview:signature-view:1.0'
   // implementation 'com.squareup.okhttp3:okhttp:4.12.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit:converter-gson:2.0.0-beta1'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.google.firebase:firebase-appindexing:10.2.1'
    // Add the Firebase Crashlytics SDK.
    implementation 'com.google.firebase:firebase-crashlytics:17.3.0'
    // Recommended: Add the Google Analytics SDK.
    implementation 'com.google.firebase:firebase-analytics:18.0.0'
    implementation(platform("org.jetbrains.kotlin:kotlin-bom:1.8.0"))
    implementation 'androidx.multidex:multidex:2.0.1'
    //using stable version
  // implementation 'com.github.pratham-PDots:camera_lib:1.5.1'
  // implementation 'com.github.pratham-PDots:camera_lib:1.5.0-external-2'
   // implementation 'com.github.pratham-PDots:camera_lib:1.5.1.0'
    // Main SDK dependency
    implementation("com.github.pratham-PDots:camera_lib:1.5.1.1")
    /*implementation 'androidx.activity:activity-ktx:1.9.0'
    implementation 'androidx.fragment:fragment-ktx:1.6.2'*/
}


apply plugin: 'com.google.gms.google-services'
apply plugin: 'org.jetbrains.kotlin.android'


